org.eclipse.jetty.websocket

## Class WebSocketGeneratorD08

- java.lang.Object
- - org.eclipse.jetty.websocket.WebSocketGeneratorD08

All Implemented Interfaces:
  WebSocketGenerator

    public class WebSocketGeneratorD08
    extends Object
    implements WebSocketGenerator

WebSocketGenerator. This class generates websocket packets. It is fully synchronized because it is likely that async threads will call the addMessage methods while other threads are flushing the generator.

### Constructor Summary

Constructors
Constructor and Description
`WebSocketGeneratorD08(WebSocketBuffers buffers, EndPoint endp)`
`WebSocketGeneratorD08(WebSocketBuffers buffers, EndPoint endp, MaskGen maskGen)`

### Method Summary

Methods
`void` `addFrame(byte flags, byte opcode, byte[] content, int offset, int length)`
`int` `flush()`
`int` `flushBuffer()`
`Buffer` `getBuffer()`
`boolean` `isBufferEmpty()`
`void` `returnBuffer()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebSocketGeneratorD08

    public WebSocketGeneratorD08(WebSocketBuffers buffers,
                         EndPoint endp)

#### WebSocketGeneratorD08

    public WebSocketGeneratorD08(WebSocketBuffers buffers,
                         EndPoint endp,
                         MaskGen maskGen)

### Method Detail

#### getBuffer

    public Buffer getBuffer()

#### addFrame

    public void addFrame(byte flags,
                byte opcode,
                byte[] content,
                int offset,
                int length)
                  throws IOException

Specified by:
  `addFrame` in interface `WebSocketGenerator`
Throws:
  `IOException`

#### flushBuffer

    public int flushBuffer()
                    throws IOException

Throws:
  `IOException`

#### flush

    public int flush()
              throws IOException

Specified by:
  `flush` in interface `WebSocketGenerator`
Throws:
  `IOException`

#### isBufferEmpty

    public boolean isBufferEmpty()

Specified by:
  `isBufferEmpty` in interface `WebSocketGenerator`

#### returnBuffer

    public void returnBuffer()